Loading...
Searching...
No Matches
Dune::Functions::SignatureTag< Range(Domain), DerivativeTraitsT > Struct Template Reference
Functions » Function related utilities

Tag-class to encapsulate signature information. More...

`#include <dune/functions/common/signature.hh>`

Inheritance diagram for Dune::Functions::SignatureTag< Range(Domain), DerivativeTraitsT >:

## Public Types

using | Signature = Range(Domain)
template<class T>
using | DerivativeTraits = DerivativeTraitsT<T>

## Detailed Description

template<class Range, class Domain, template< class > class DerivativeTraitsT>
struct Dune::Functions::SignatureTag< Range(Domain), DerivativeTraitsT >

Tag-class to encapsulate signature information.

Template Parameters

  Range | range type
  Domain | domain type
  DerivativeTraits | traits template used to determine derivative traits

## Member Typedef Documentation

## DerivativeTraits

template<class Range, class Domain, template< class > class DerivativeTraitsT>
template<class T>

using Dune::Functions::SignatureTag< Range(Domain), DerivativeTraitsT >::DerivativeTraits = DerivativeTraitsT<T>

## Signature

template<class Range, class Domain, template< class > class DerivativeTraitsT>

using Dune::Functions::SignatureTag< Range(Domain), DerivativeTraitsT >::Signature = Range(Domain)

The documentation for this struct was generated from the following file:

- signature.hh